<?php

/**
 * @package Topic Author
 * @author phantom
 * @copyright (c) 2014 phantom
 * @license Mozilla Public License version 1.1 http://www.mozilla.org/MPL/1.1/.
 *
 * @version 1.1
 *
 */

/**
 * integrate_general_mod_settings
 */
function topic_author_settings(&$config_vars)
{
	global $txt;

	loadLanguage('TopicAuthor');
	if (defined('FORUM_VERSION') && substr(FORUM_VERSION, 8, 3) === '1.1')


		$config_vars = array_merge($config_vars, array(
		'',
		array('check', 'topic_author_enable'),
		array('select', 'topic_author_icon',
			  array(
			  	'comment' => $txt['topic_author_icon_comment'],
				'star' => (defined('FORUM_VERSION') && substr(FORUM_VERSION, 8, 3) === '1.1') ? $txt['topic_author_icon_bell'] : $txt['topic_author_icon_star']
			  )
		),
	));
}

/**
 * integrate_prepare_display_context
 */
function topic_author(&$output)
{
	global $modSettings, $context, $txt;

	static $added = false;

	if (!empty($modSettings['topic_author_enable']) && $added === false && $output['member']['id'] == $context['topic_starter_id'])
	{
		loadLanguage('TopicAuthor');
		$icon = !empty($modSettings['topic_author_icon']) ? $modSettings['topic_author_icon'] : 'comment';

		if (defined('FORUM_VERSION') && substr(FORUM_VERSION, 8, 3) === '1.1')
		{
			$icon = $icon === 'comment' ? 'comment-blank' : 'bell-blank';
			$output['member']['name'] .= '<i class="icon icon-small i-' . $icon . '"><s>' . $txt['topic_author'] . '</s></i>';
		}
		else
		{
			$output['member']['name'] .= '&nbsp;<i class="fa fa-' . $icon . '"></i>';
		}

		$added = true;
	}
}
